:root {
  --star-animation-duration: 4s;
  --star-animation-delay: 1s;
  --star-fill-color: var(--binarygenes-blue, #01c7fd);
  --star-wrapper-background-color: var(
    --binarygenes-ink,
    var(--arc-color-infiniteblue)
  );
}

@keyframes wrapper-fade-out {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes star-expand {
  0% {
    opacity: 1;
    transform: scale(1);
  }

  100% {
    opacity: 0;
    transform: scale(50);
  }
}

.container.responsivegrid.cmp-container--full-width {
  opacity: 0;
}

.star-animation-wrapper {
  align-items: center;
  background-color: var(--star-wrapper-background-color);
  display: flex;
  height: 100%;
  justify-content: center;
  left: 0;
  opacity: 1;
  overflow: hidden;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: var(--arc-z-index-spinner, 800);
}

.star {
  display: block;
  filter: brightness(0) saturate(100%) invert(69%) sepia(98%)
    saturate(2791%) hue-rotate(148deg) brightness(101%) contrast(99%);
  height: 72px;
  object-fit: contain;
  width: 72px;
  will-change: opacity, transform;
}

.star-animation--active {
  animation: star-expand var(--star-animation-duration) forwards;
  animation-delay: var(--star-animation-delay);
}

.star-animation-wrapper--active {
  animation: wrapper-fade-out var(--star-animation-duration) forwards;
  animation-delay: var(--star-animation-delay);
}

.star-animation-content--active {
  opacity: 1 !important;
  transition: opacity var(--star-animation-duration);
  transition-delay: var(--star-animation-delay);
}
